Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367215 - spice-vdagent Missing virtio device is output when login system
Summary: spice-vdagent Missing virtio device is output when login system
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: spice-vdagent
Version: 24
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Christophe Fergeau
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-15 21:41 UTC by mertensb.mazda
Modified: 2017-08-03 21:57 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1006205
Environment:
Last Closed: 2017-08-03 21:57:18 UTC


Attachments (Terms of Use)

Description mertensb.mazda 2016-08-15 21:41:46 UTC
+++ This bug was initially created as a clone of Bug #1006205 +++

Cloning bug 999804 for RHEL-7 since RHEL-7 is affected too.

+++ This bug was initially created as a clone of Bug #999804 +++

Description of problem:

This appears to be some kind of regression. In Fedora 24 I see:
Aug 15 22:03:00 formenos.lan spice-vdagent[1909]: Cannot access vdagent virtio channel /dev/virtio-ports/com.redhat.spice.0
Aug 15 22:03:00 formenos.lan gnome-session[1323]: gnome-session-binary[1323]: WARNING: App 'spice-vdagent.desktop' exited with code 1
Aug 15 22:03:00 formenos.lan gnome-session-binary[1323]: WARNING: App 'spice-vdagent.desktop' exited with code 1


How reproducible:

Always

Steps to Reproduce:

1. Install spice-vdagent

2. logout system

3. login system

Actual results:

Aug 15 22:03:00 formenos.lan spice-vdagent[1909]: Cannot access vdagent virtio channel /dev/virtio-ports/com.redhat.spice.0
Aug 15 22:03:00 formenos.lan gnome-session[1323]: gnome-session-binary[1323]: WARNING: App 'spice-vdagent.desktop' exited with code 1
Aug 15 22:03:00 formenos.lan gnome-session-binary[1323]: WARNING: App 'spice-vdagent.desktop' exited with code 1
in journald logs

Expected results:

No such error messages should be output.

Additional info
[m8ram@formenos ~]$ rpm -q spice-vdagent
spice-vdagent-0.16.0-3.fc24.x86_64



--- Additional comment from Hans de Goede on 2013-08-27 11:21:37 EDT ---

This is fixed upstream:
http://cgit.freedesktop.org/spice/linux/vd_agent/commit/?id=99a2628b0ff04e0aadd130e45aa2598c4df64690

Moving to POST

--- Additional comment from Hans de Goede on 2013-09-10 05:02:13 EDT ---

This is fixed in spice-vdagent-0.14.0-5.el7 moving to MODIFIED.

--- Additional comment from Hans de Goede on 2014-03-11 03:37:02 EDT ---

This has long been fixed, closing this with a resolution of CURRENTRELEASE.

Comment 1 dx486107 2016-08-28 17:55:29 UTC
I see that this bug's severity is set as "medium". However, because of this bug user cannot login to the system. Thus, according to the severity descriptions, I think this bug should be set as an "urgent" bug, unless there is a workaround for it. If so, I would like to learn it. Or please kindly explain the reason of "medium" severity. Thank you.

Comment 2 Pavel Grunt 2016-08-29 15:54:20 UTC
It doesn't say that the device is missing, try disabling selinux

(In reply to dx486107 from comment #1)
> I see that this bug's severity is set as "medium". However, because of this
> bug user cannot login to the system.

Why is not possible to login ?

> Thus, according to the severity
> descriptions, I think this bug should be set as an "urgent" bug, unless
> there is a workaround for it. If so, I would like to learn it. Or please
> kindly explain the reason of "medium" severity. Thank you.

Comment 3 Pavel Grunt 2016-08-29 15:56:12 UTC
(In reply to Pavel Grunt from comment #2)
> It doesn't say that the device is missing, try disabling selinux

just to check if it changes anything ;)
> 
> (In reply to dx486107 from comment #1)
> > I see that this bug's severity is set as "medium". However, because of this
> > bug user cannot login to the system.
> 
> Why is not possible to login ?
> 
> > Thus, according to the severity
> > descriptions, I think this bug should be set as an "urgent" bug, unless
> > there is a workaround for it. If so, I would like to learn it. Or please
> > kindly explain the reason of "medium" severity. Thank you.

Comment 4 Fedora End Of Life 2017-07-25 22:26:56 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Cole Robinson 2017-08-03 21:57:18 UTC
No response for a while, so closing


Note You need to log in before you can comment on or make changes to this bug.